Read this article in Japanese German


This article applies to all blizz users and customers

General

The following operating systems are supported for blizz:

 

Windows

  •  Windows 7 and higher.
  • Windows Server 2008 and higher.
  • (Requires IE 11.0 and higher)

 

macOS

  •  Mac OS X 10.13 and higher.

 

iOS

  •  iOS 9 and higher.

 

Android

  •  Android 4.4 and higher.

 

Version history
Revision #:
20 of 20
Last update:
‎26 May 2020, 8:24 AM
Updated by:
 
Labels (1)
Contributors